Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming
Class NamingEntry

    java.lang.Object
      |
      +--org.apache.naming.NamingEntry

public class NamingEntry
extends java.lang.Object

Represents a binding in a NamingContext.

Version:
  $Revision: 1.1 $ $Date: 2000/11/02 06:14:16 $
Author:
  Remy Maucherat

Field Summary
`static int` | `CONTEXT`
`static int` | `ENTRY`
`static int` | `LINK_REF`
`java.lang.String` | `name`
`static int` | `REFERENCE`
`int` | `type` The type instance variable is used to avoid unsing RTTI when doing lookups.
`java.lang.Object` | `value`

Constructor Summary
`NamingEntry(java.lang.String name, java.lang.Object value, int type)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTRY

    public static final int ENTRY

### LINK_REF

    public static final int LINK_REF

### REFERENCE

    public static final int REFERENCE

### CONTEXT

    public static final int CONTEXT

### type

    public int type

  The type instance variable is used to avoid unsing RTTI when doing lookups.

### name

    public java.lang.String name

### value

    public java.lang.Object value

Constructor Detail

### NamingEntry

    public NamingEntry(java.lang.String name,
                       java.lang.Object value,
                       int type)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.